Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Class ProjectHelper

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectHelper

public class ProjectHelper
extends java.lang.Object

Configures a Project (complete with Targets and Tasks) based on a XML build file.

Author:
  duncan@x180.com

Method Summary
`static void` | `addText(java.lang.Object target, char[] buf, int start, int end)` Adds the content of #PCDATA sections to an element.
`static void` | `addText(java.lang.Object target, java.lang.String text)` Adds the content of #PCDATA sections to an element.
`static void` | `configure(java.lang.Object target, org.xml.sax.AttributeList attrs, Project project)`
`static void` | `configureProject(Project project, java.io.File buildFile)` Configures the Project with the contents of the specified XML file.
`static java.lang.String` | `replaceProperties(Project project, java.lang.String value, java.util.Hashtable keys)` Replace ${NAME} with the property value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### configureProject

    public static void configureProject(Project project,
                                        java.io.File buildFile)
                                 throws BuildException

  Configures the Project with the contents of the specified XML file.

### configure

    public static void configure(java.lang.Object target,
                                 org.xml.sax.AttributeList attrs,
                                 Project project)
                          throws BuildException

### addText

    public static void addText(java.lang.Object target,
                               char[] buf,
                               int start,
                               int end)
                        throws BuildException

  Adds the content of #PCDATA sections to an element.

### addText

    public static void addText(java.lang.Object target,
                               java.lang.String text)
                        throws BuildException

  Adds the content of #PCDATA sections to an element.

### replaceProperties

    public static java.lang.String replaceProperties(Project project,
                                                     java.lang.String value,
                                                     java.util.Hashtable keys)
                                              throws BuildException

  Replace ${NAME} with the property value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.